package com.mdd.admin.vo.setting;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("字典数据Vo")
public class SettingDictDataVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("类型")
   private Integer typeId;
   @ApiModelProperty("键")
   private String name;
   @ApiModelProperty("值")
   private String value;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("是否停用")
   private Integer status;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getTypeId() {
      return this.typeId;
   }

   public String getName() {
      return this.name;
   }

   public String getValue() {
      return this.value;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getStatus() {
      return this.status;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setTypeId(Integer typeId) {
      this.typeId = typeId;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SettingDictDataVo)) {
         return false;
      } else {
         SettingDictDataVo other = (SettingDictDataVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$typeId = this.getTypeId();
            Object other$typeId = other.getTypeId();
            if (this$typeId == null) {
               if (other$typeId != null) {
                  return false;
               }
            } else if (!this$typeId.equals(other$typeId)) {
               return false;
            }

            label105: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label105;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label105;
               }

               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label91: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label91;
                  }
               } else if (this$name.equals(other$name)) {
                  break label91;
               }

               return false;
            }

            Object this$value = this.getValue();
            Object other$value = other.getValue();
            if (this$value == null) {
               if (other$value != null) {
                  return false;
               }
            } else if (!this$value.equals(other$value)) {
               return false;
            }

            label77: {
               Object this$remark = this.getRemark();
               Object other$remark = other.getRemark();
               if (this$remark == null) {
                  if (other$remark == null) {
                     break label77;
                  }
               } else if (this$remark.equals(other$remark)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label70;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label70;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SettingDictDataVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $typeId = this.getTypeId();
      result = result * 59 + ($typeId == null ? 43 : $typeId.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $value = this.getValue();
      result = result * 59 + ($value == null ? 43 : $value.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SettingDictDataVo(id=" + this.getId() + ", typeId=" + this.getTypeId() + ", name=" + this.getName() + ", value=" + this.getValue() + ", remark=" + this.getRemark() + ", sort=" + this.getSort() + ", status=" + this.getStatus() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
